%define apache_ver %(echo `rpm -q --queryformat '%{VERSION}' apache`)

%define hardeningp_ver       0.4.15
%define hardeningp_phpver    5.1.6
%define with_hardening_patch 0

Name:          php
Version:       5.6.6
Release:       1mamba
Summary:       The PHP HTML-embedded scripting language
Group:         Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.php.net/
Source0:       http://is1.php.net/distributions/php-%{version}.tar.bz2
Source1:       php-httpd-conf
Patch0:        http://www.hardened-php.net/hardening-patch-%{hardeningp_phpver}-%{hardeningp_ver}.patch.gz
Patch1:        %{name}-5.0.5-phpbuilddir.patch
Patch2:        %{name}-5.2.5-phpize_dir.patch
Patch3:        %{name}-5.2.9-db47.patch
Patch4:        %{name}-5.2.11-BID_36555.patch
Patch5:        %{name}-5.3.13-apache-2.4.patch
License:       PHP License
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXpm-devel
BuildRequires: libbzip2-devel
BuildRequires: libcares-devel
BuildRequires: libcurl-devel
BuildRequires: libdb51-devel
BuildRequires: libe2fs-devel
BuildRequires: libexpat-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgd-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgss-devel
BuildRequires: libidn-devel
BuildRequires: libjbig-devel
BuildRequires: libjpeg-devel
BuildRequires: libkeyutils-devel
BuildRequires: libkrb5-devel
BuildRequires: libltdl-devel
BuildRequires: liblzma-devel
BuildRequires: libmcrypt-devel
BuildRequires: libmysql5-devel
BuildRequires: libodbc-devel
BuildRequires: libopenldap-devel
BuildRequires: libopenssl-devel
BuildRequires: libpng-devel
BuildRequires: libpostgresql-devel
BuildRequires: librtmp-devel
BuildRequires: libsasl-devel
BuildRequires: libssh2-devel
BuildRequires: libtiff-devel
BuildRequires: libvpx-devel
BuildRequires: libxcb-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: libz-devel
BuildRequires: pam-devel
## AUTOBUILDREQ-END
BuildRequires: apache-devel
BuildRequires: libapr-devel
BuildRequires: libaprutil-devel
BuildRequires: libimap-c-client-devel
BuildRequires: libmcal-devel
BuildRequires: libsablotron-devel
BuildRequires: libsqlite3-devel
BuildRequires: gettext-devel
#BuildRequires: pear-PHP_Archive
BuildRequires: pkgconfig
BuildRequires: /usr/sbin/sendmail
BuildRequires: flex, bison
BuildRequires: re2c
Requires(pre): libapr >= 1.2.2
Requires(pre): libaprutil >= 1.2.2
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
PHP is an HTML-embeddable scripting language.
PHP offers built-in database integration for several commercial and non-commercial database management systems, so writing a database-enabled script with PHP is fairly simple.
The most common use of PHP coding is probably as a replacement for CGI scripts.

%package devel
Summary:       Development package for PHP5
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The php-devel package lets you compile dynamic extensions to PHP5.
Included here is the source for the PHP extensions.
Instead of recompiling the whole PHP binary to add support for, say, Oracle, install this package and use the new self-contained extensions support.
For more information, read the file SELF-CONTAINED-EXTENSIONS.

%package imap
Summary:       PHP IMAP extension
Group:         System/Servers
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description imap
PHP is an HTML-embeddable scripting language.
PHP offers built-in database integration for several commercial and non-commercial database management systems, so writing a database-enabled script with PHP is fairly simple.
The most common use of PHP coding is probably as a replacement for CGI scripts.

This package contains the IMAP extension for PHP.

%package ldap
Summary:       PHP LDAP extension
Group:         System/Servers
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description ldap
PHP is an HTML-embeddable scripting language.
PHP offers built-in database integration for several commercial and non-commercial database management systems, so writing a database-enabled script with PHP is fairly simple.
The most common use of PHP coding is probably as a replacement for CGI scripts.

This package contains the LDAP extension for PHP.

%package mysql
Summary:       PHP MySQL extension
Group:         System/Servers
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-pdo = %{?epoch:%epoch:}%{version}-%{release}

%description -n php-mysql
PHP is an HTML-embeddable scripting language.
PHP offers built-in database integration for several commercial and non-commercial database management systems, so writing a database-enabled script with PHP is fairly simple.
The most common use of PHP coding is probably as a replacement for CGI scripts.

This package contains the MySQL extensions for PHP.

%package mysqli
Summary:       PHP MySQLi extension
Group:         System/Servers
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n php-mysqli
PHP is an HTML-embeddable scripting language.
PHP offers built-in database integration for several commercial and non-commercial database management systems, so writing a database-enabled script with PHP is fairly simple.
The most common use of PHP coding is probably as a replacement for CGI scripts.

This package contains the MySQLi extensions for PHP.

%package odbc
Summary:       PHP ODBC extension
Group:         System/Servers
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-pdo = %{version}-%{release}

%description odbc
PHP is an HTML-embeddable scripting language.
PHP offers built-in database integration for several commercial and non-commercial database management systems, so writing a database-enabled script with PHP is fairly simple.
The most common use of PHP coding is probably as a replacement for CGI scripts.

This package contains the ODBC extensions for PHP.

%package opcache
Summary:       PHP OPcache extension
Group:         System/Servers
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description opcache
OPcache extension improves PHP performance by storing precompiled script bytecode in shared memory, thereby removing the need for PHP to load and parse scripts on each request.

%package openssl
Summary:       PHP OpenSSL extension
Group:         System/Servers
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description openssl
PHP is an HTML-embeddable scripting language.
PHP offers built-in database integration for several commercial and non-commercial database management systems, so writing a database-enabled script with PHP is fairly simple.
The most common use of PHP coding is probably as a replacement for CGI scripts.

This package contains the OpenSSL extensions for PHP.

%package pdo
Summary:       PHP Data Objects Interface
Group:         System/Servers
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description pdo
PHP is an HTML-embeddable scripting language.
PHP offers built-in database integration for several commercial and non-commercial database management systems, so writing a database-enabled script with PHP is fairly simple.
The most common use of PHP coding is probably as a replacement for CGI scripts.

This package contains the PHP Data Objects Interface for PHP.
Read the documentation at http://www.php.net/pdo for more information.

%package pgsql
Summary:       PHP PostgreSQL extension
Group:         System/Servers
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-pdo = %{?epoch:%epoch:}%{version}-%{release}

%description pgsql
PHP is an HTML-embeddable scripting language.
PHP offers built-in database integration for several commercial and non-commercial database management systems, so writing a database-enabled script with PHP is fairly simple.
The most common use of PHP coding is probably as a replacement for CGI scripts.

This package contains the PostgreSQL extensions for PHP.

%package sqlite
Summary:       PHP SQLite extension
Group:         System/Servers
Provides:      php-pdo_sqlite = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     php-pdo_sqlite
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-pdo = %{?epoch:%epoch:}%{version}-%{release}

%description sqlite
PHP is an HTML-embeddable scripting language.
PHP offers built-in database integration for several commercial and non-commercial database management systems, so writing a database-enabled script with PHP is fairly simple.
The most common use of PHP coding is probably as a replacement for CGI scripts.

This package contains the SQLite extensions for PHP.

%package xsl
Summary:       PHP xslt extension
Group:         System/Servers
Provides:      php-xslt = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     php-xslt
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description xsl
PHP is an HTML-embeddable scripting language.
PHP offers built-in database integration for several commercial and non-commercial database management systems, so writing a database-enabled script with PHP is fairly simple.
The most common use of PHP coding is probably as a replacement for CGI scripts.

This package contains the xslt extension for PHP.

%package -n apache-mod_php
Summary:       PHP module for Apache Web Server
Group:         System/Servers
Requires(pre): apache >= %{apache_ver}
Requires(pre): %{_bindir}/apr-1-config
Requires(pre): %{_bindir}/apu-1-config
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n apache-mod_php
PHP is an HTML-embeddable scripting language.
PHP offers built-in database integration for several commercial and non-commercial database management systems, so writing a database-enabled script with PHP is fairly simple.
The most common use of PHP coding is probably as a replacement for CGI scripts.

This package adds PHP support to the Apache Web Server.

%prep
%setup -q
%if %with_hardening_patch
%patch0 -p1 -b .hardening
%endif
%patch1 -p1 -b .phpbuilddir
%patch2 -p1
#%patch3 -p1
#%patch4 -p4

# prevent %%doc confusion over LICENSE files
cp Zend/LICENSE Zend/ZEND_LICENSE
cp TSRM/LICENSE TSRM_LICENSE
cp ext/gd/libgd/README gd_README

# remove unneded packages
#rm -f HTML_Template_IT-*.tar Net_UserAgent_Detect-*.tar
#popd

%build
EXTENSION_DIR=%{_libdir}/php/extensions; export EXTENSION_DIR
# Required to set default INCLUDE_PATH with %{_libdir}/php
PEAR_INSTALLDIR="%{_libdir}/php"; export PEAR_INSTALLDIR
%configure \
   --sysconfdir=%{_sysconfdir}/php \
   --with-libdir=%{_lib} \
   --disable-debug \
   --disable-rpath \
   --enable-sockets \
   --with-apxs2=%{_bindir}/apxs \
   --enable-shared \
   --with-config-file-path=%{_sysconfdir}/php \
   --with-config-file-scan-dir=%{_sysconfdir}/php/php.d \
   --with-regex=php \
   --with-openssl=shared,%{_prefix} \
   --with-gettext \
   --enable-ftp \
   --with-ldap=shared,%{_prefix} \
   --with-zlib \
   --with-gd=%{_prefix} \
   --with-jpeg-dir=%{_prefix} \
   --with-png-dir=%{_prefix} \
   --with-freetype-dir=%{_prefix} \
   --with-pgsql=shared,%{_prefix} \
   --with-mysql=shared,%{_prefix} \
   --with-mysqli=shared,%{_bindir}/mysql_config \
   --with-unixODBC=shared,%{_prefix} \
   --with-imap=shared,%{_libdir}/imap/ \
   --with-imap-ssl \
   --with-mcrypt \
   --with-db4=%{_includedir}/db51 \
   --with-xsl=shared \
   --without-pear \
   --with-kerberos \
   --with-bz2 \
   --with-curl \
   --with-xmlrpc \
   --with-pdo-mysql=shared \
   --with-pdo-odbc=shared,unixODBC,%{_prefix} \
   --with-pdo-pgsql=shared \
   --with-pdo-sqlite=shared \
   --with-sqlite3=shared \
   --enable-pdo=shared \
   --enable-mbstring \
   --enable-calendar \
   --enable-soap \
   --enable-zip \
   --enable-exif \
   --enable-intl

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

# fake httpd.conf for apxs
install -D %{S:1} %{buildroot}%{_sysconfdir}/httpd/httpd.conf

make install INSTALL_ROOT=%{buildroot}/

rm -f %{buildroot}%{_sysconfdir}/httpd/httpd.conf*

install -D php.ini-production %{buildroot}%{_sysconfdir}/php/php.ini
sed -i "\
s|\(extension_dir = \).*|\1%{_libdir}/php/extensions|
s|\(;extension=\)php_\(.*\)dll|\1\2so|g;s|w32api.so|odbc.so|" \
   %{buildroot}%{_sysconfdir}/php/php.ini

# remove execution permission from some files
chmod 0664 %{buildroot}%{_libdir}/php/build/*.awk
chmod 0664 %{buildroot}%{_libdir}/php/build/*.global
chmod 0664 %{buildroot}%{_libdir}/php/build/*.m4

# create php.conf file for httpd
install -d %{buildroot}%{_sysconfdir}/httpd/httpd.d
cat > %{buildroot}%{_sysconfdir}/httpd/httpd.d/php.conf << _EOF
<FilesMatch \.php$>
    SetHandler application/x-httpd-php
</FilesMatch>
DirectoryIndex index.php
_EOF

install -m 755 -d %{buildroot}%{_sysconfdir}/php/php.d
install -m 755 -d %{buildroot}%{_localstatedir}/lib/php
install -m 700 -d %{buildroot}%{_localstatedir}/lib/php/session

# generate files lists and stub .ini files for each subpackage
for mod in imap ldap mysql mysqli odbc openssl opcache \
           pdo pdo_mysql pdo_odbc pdo_pgsql pgsql pdo_sqlite sqlite3 xsl; do
   cat > %{buildroot}%{_sysconfdir}/php/php.d/${mod}.ini <<EOF
; Enable ${mod} extension module
extension=${mod}.so
EOF
   cat > files.${mod} <<EOF
%attr(755,root,root) %{_libdir}/php/extensions/${mod}.so
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/php/php.d/${mod}.ini
EOF
done

# workaround
ln -sf %{_bindir}/phar.phar %{buildroot}%{_bindir}/phar

# split out the PDO modules
cat files.pdo_mysql  >> files.mysql
cat files.pdo_odbc   >> files.odbc
cat files.pdo_pgsql  >> files.pgsql
cat files.pdo_sqlite >> files.sqlite3

# remove hidden files installed in root directory
rm -rf %{buildroot}/.channels
rm -f %{buildroot}/.depdb
rm -f %{buildroot}/.depdblock
rm -f %{buildroot}/.filemap
rm -f %{buildroot}/.lock

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/php
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php/php.ini
%dir %{_sysconfdir}/php/php.d
%{_bindir}/php
%{_bindir}/php-cgi
%{_bindir}/phar
%{_bindir}/phar.phar
%dir %{_libdir}/php
%dir %{_libdir}/php/extensions
%dir %{_libdir}/php/build
%{_libdir}/php/build/*
%{_mandir}/man1/phar.1*
%{_mandir}/man1/phar.phar.1*
%{_mandir}/man1/php.1*
%{_mandir}/man1/php-cgi.1*
%dir %{_localstatedir}/lib/php
%dir %{_localstatedir}/lib/php/session
%doc CREDITS
%doc LICENSE Zend/ZEND_LICENSE TSRM_LICENSE
%doc php.ini-development php.ini-production

%files -n php-devel
%defattr(-,root,root)
%{_bindir}/php-config
%{_bindir}/phpize
%dir %{_includedir}/php
%{_includedir}/php/*
%{_mandir}/man1/php-config.1*
%{_mandir}/man1/phpize.1*
%doc CODING_STANDARDS EXTENSIONS README.*
%doc NEWS gd_README

%post -n apache-mod_php
if [ $1 -ge 1 ]; then
   # delete PHP type definition in httpd.conf, it is now in httpd.d/php.conf
   sed -i "/AddType application\/x-httpd-php .php/d" /etc/httpd/httpd.conf
   # same for DirectoryIndex directive
   sed -i "s|\(DirectoryIndex .*\)index.php\(.*\)|\1\2|" /etc/httpd/httpd.conf
   %{_bindir}/apxs -e -a -n php5 %{_libdir}/apache/libphp5.so > /dev/null
   # do not load the PHP 4 module any more
   sed -i "/^LoadModule[ \t]*php4_module/d" /etc/httpd/httpd.conf

   service httpd condrestart
fi
exit 0

%preun -n apache-mod_php
if [ $1 -eq 0 ]; then
#erase
   %{_bindir}/apxs -e -A -n php5 %{_libdir}/apache/libphp5.so > /dev/null
   sed -i "/AddType application\/x-httpd-php .php/d" /etc/httpd/httpd.conf
   sed -i "s|\(DirectoryIndex .*\)index.php\(.*\)|\1\2|" /etc/httpd/httpd.conf
   service httpd condrestart
fi
exit 0

%files -n apache-mod_php
%defattr(-,root,root)
%{_libdir}/apache/libphp5.so
%config(noreplace) %{_sysconfdir}/httpd/httpd.d/php.conf

%files -n php-imap -f files.imap
%defattr(-,root,root)

%files -n php-ldap -f files.ldap
%defattr(-,root,root)

%files -n php-mysql -f files.mysql
%defattr(-,root,root)

%files -n php-mysqli -f files.mysqli
%defattr(-,root,root)

%files -n php-odbc -f files.odbc
%defattr(-,root,root)

%files -n php-opcache -f files.opcache
%defattr(-,root,root)

%files -n php-openssl -f files.openssl
%defattr(-,root,root)

%files -n php-pdo -f files.pdo
%defattr(-,root,root)

%files -n php-pgsql -f files.pgsql
%defattr(-,root,root)

%files -n php-sqlite -f files.sqlite3
%defattr(-,root,root)

%files -n php-xsl -f files.xsl
%defattr(-,root,root)

%changelog
* Fri Feb 20 2015 Automatic Build System <autodist@mambasoft.it> 5.6.6-1mamba
- automatic version update by autodist

* Thu Feb 05 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.6.5-2mamba
- rebuilt with exif and intl enabled
- fix default INCLUDE_PATH after splitting php-pear

* Fri Jan 23 2015 Automatic Build System <autodist@mambasoft.it> 5.6.5-1mamba
- automatic version update by autodist

* Sat Dec 27 2014 Automatic Build System <autodist@mambasoft.it> 5.6.4-1mamba
- automatic update by autodist

* Fri Nov 14 2014 Automatic Build System <autodist@mambasoft.it> 5.6.3-1mamba
- automatic version update by autodist

* Thu Oct 16 2014 Automatic Build System <autodist@mambasoft.it> 5.6.2-1mamba
- automatic version update by autodist

* Fri Oct 03 2014 Automatic Build System <autodist@mambasoft.it> 5.6.1-1mamba
- automatic version update by autodist

* Thu Aug 28 2014 Automatic Build System <autodist@mambasoft.it> 5.6.0-1mamba
- automatic version update by autodist

* Fri Aug 22 2014 Automatic Build System <autodist@mambasoft.it> 5.5.16-1mamba
- automatic version update by autodist

* Thu Jul 24 2014 Automatic Build System <autodist@mambasoft.it> 5.5.15-1mamba
- automatic version update by autodist

* Thu Jun 26 2014 Automatic Build System <autodist@mambasoft.it> 5.5.14-1mamba
- automatic version update by autodist

* Thu Jun 05 2014 Automatic Build System <autodist@mambasoft.it> 5.5.13-1mamba
- automatic version update by autodist

* Thu May 01 2014 Automatic Build System <autodist@mambasoft.it> 5.5.12-1mamba
- automatic version update by autodist

* Thu Apr 03 2014 Automatic Build System <autodist@mambasoft.it> 5.5.11-1mamba
- automatic version update by autodist

* Thu Mar 06 2014 Automatic Build System <autodist@mambasoft.it> 5.5.10-1mamba
- automatic version update by autodist

* Thu Feb 06 2014 Automatic Build System <autodist@mambasoft.it> 5.5.9-1mamba
- automatic version update by autodist

* Wed Jan 29 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 5.5.8-2mamba
- rebuilt with system libgd 2.1.0

* Wed Jan 15 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 5.5.8-1mamba
- update to 5.5.8

* Thu Nov 14 2013 Automatic Build System <autodist@mambasoft.it> 5.5.6-1mamba
- automatic version update by autodist

* Thu Oct 17 2013 Automatic Build System <autodist@mambasoft.it> 5.5.5-1mamba
- automatic version update by autodist

* Fri Sep 20 2013 Automatic Build System <autodist@mambasoft.it> 5.5.4-1mamba
- automatic version update by autodist

* Fri Aug 23 2013 Automatic Build System <autodist@mambasoft.it> 5.5.3-1mamba
- automatic version update by autodist

* Fri Aug 16 2013 Automatic Build System <autodist@mambasoft.it> 5.5.2-1mamba
- automatic version update by autodist

* Sat Jul 27 2013 Automatic Build System <autodist@mambasoft.it> 5.5.1-1mamba
- update to 5.5.1

* Sun Jul 14 2013 Automatic Build System <autodist@mambasoft.it> 5.4.17-1mamba
- update to 5.4.17

* Fri Jun 07 2013 Automatic Build System <autodist@mambasoft.it> 5.4.16-1mamba
- automatic version update by autodist

* Sat May 11 2013 Automatic Build System <autodist@mambasoft.it> 5.4.15-1mamba
- automatic version update by autodist

* Thu Apr 11 2013 Automatic Build System <autodist@mambasoft.it> 5.4.14-1mamba
- automatic version update by autodist

* Tue Mar 19 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 5.4.13-2mamba
- sync with 5.4.13 formerly present in devel-makedist
- removed requirements for pear-PHP_Archive

* Tue Mar 19 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 5.4.13-1mamba
- update to 5.4.13

* Wed Mar 13 2013 Davide Madrisan <davide.madrisan@gmail.com> 5.4.12-2mamba
- rebuilt by adding `--with-config-file-scan-dir=%{_sysconfdir}/php.d'
- create a .ini file for each php extension
- move manpages for php-config and phpize to the devel package
- build requires libaprutil-devel and pear-PHP_Archive
- build with `--with-sqlite3=shared'

* Sat Feb 23 2013 Automatic Build System <autodist@mambasoft.it> 5.4.12-1mamba
- automatic version update by autodist

* Wed Feb 20 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 5.4.11-3mamba
- addded --enable-pdo=shared to fix pdo_sqlite

* Mon Feb 18 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 5.4.11-2mamba
- updated php.conf for apache 2.4
- remove old extension=sqlite.so from php.ini

* Thu Jan 17 2013 Automatic Build System <autodist@mambasoft.it> 5.4.11-1mamba
- automatic version update by autodist

* Sat Jan 12 2013 Automatic Build System <autodist@mambasoft.it> 5.4.10-1mamba
- automatic version update by autodist

* Fri Nov 23 2012 Automatic Build System <autodist@mambasoft.it> 5.4.9-1mamba
- automatic version update by autodist

* Thu Oct 18 2012 Automatic Build System <autodist@mambasoft.it> 5.4.8-1mamba
- automatic version update by autodist

* Sat Oct 13 2012 Automatic Build System <autodist@mambasoft.it> 5.4.7-1mamba
- automatic version update by autodist

* Sat Sep 29 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 5.3.17-1mamba
- update to 5.3.17
- added --enable-zip

* Sat May 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 5.3.13-1mamba
- update to 5.3.13
- built with apache 2.4.2

* Sun Oct 23 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.17-1mamba
- update to 5.2.17
- added soap extension

* Tue Jul 27 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.14-1mamba
- update to 5.2.14

* Tue Jun 29 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.13-1mamba
- update to 5.2.13

* Fri Apr 09 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.11-5mamba
- fix extension_dir if wrong in php.ini

* Tue Mar 16 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.11-4mamba
- php.ini: fix extension_dir setting in sample configuration

* Sat Feb 06 2010 Davide Madrisan <davide.madrisan@gmail.com> 5.2.11-3mamba
- fix the value of extensiondir via the EXTENSION_DIR environment variable
- own %{_libdir}/php/extensions

* Tue Oct 20 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.11-2mamba
- added security patch for BID#36554 and 36555 (http://www.securityfocus.com/bid/36555)

* Tue Oct 20 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.11-1mamba
- update to 5.2.11

* Sun Jun 21 2009 Automatic Build System <autodist@mambasoft.it> 5.2.10-1mamba
- automatic update to 5.2.10 by autodist

* Thu Jun 11 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.9-6mamba
- rebuilt in devel (remove dependency on libxcb-xlib)
- added --enable-calendar configure option

* Wed Jun 10 2009 Fabio Giani <fabio.giani@gmail.com> 5.2.9-5mamba
- added MySQLi support
- added a buildrequirement for libaprutil-devel

* Mon Jun 08 2009 Automatic Build System <autodist@mambasoft.it> 5.2.9-4mamba
- automatic rebuild by autodist

* Thu May 21 2009 Automatic Build System <autodist@mambasoft.it> 5.2.9-3mamba
- automatic rebuild by autodist

* Fri Mar 13 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.9-2mamba
- rebuilt with --enable-mbstring (required by SugarCE)

* Wed Feb 25 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.9-1mamba
- automatic update to 5.2.9 by autodist

* Wed Dec 10 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.8-2mamba
- rebuilt with --enable-sockets

* Mon Dec 08 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.8-1mamba
- automatic update to 5.2.8 by autodist

* Thu May 29 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.6-1mamba
- update to 5.2.6

* Wed Feb 06 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.5-2mamba
- PDO database extensions enabled for ODBC, MySql, SqLite and Postgresql
- added php-sqlite subpackage

* Mon Dec 03 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.5-1mamba
- update to 5.2.5

* Wed Sep 19 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.4-1mamba
- update to 5.2.4
- hardening patch removed
- xmlrpc feature enabled

* Fri Oct 20 2006 Davide Madrisan <davide.madrisan@qilinux.it> 5.1.5-2qilnx
- added a build requirements for libe2fs-devel

* Thu Aug 31 2006 Davide Madrisan <davide.madrisan@qilinux.it> 5.1.5-1qilnx
- update to version 5.1.5 by autospec
- this version fixes several security issues (bugtraq#62,#101)

* Tue May 09 2006 Davide Madrisan <davide.madrisan@qilinux.it> 5.1.4-1qilnx
- update to version 5.1.4 by autospec

* Mon Mar 20 2006 Davide Madrisan <davide.madrisan@qilinux.it> 5.1.2-2qilnx
- apache-mod_php prerequires apr-1-config and apu-1-config

* Thu Mar 02 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.2-1qilnx
- update to version 5.1.2 by autospec

* Wed Oct 19 2005 Davide Madrisan <davide.madrisan@qilinux.it> 5.0.5-2qilnx
- buildrequires /usr/sbin/sendmail

* Mon Sep 19 2005 Davide Madrisan <davide.madrisan@qilinux.it> 5.0.5-1qilnx
- update to version 5.0.5 by autospec
- added last available patch from the Hardened-PHP Project
- updated pear.php.net packages (HTTP, Mail, and Net_SMTP)
- apache configuration: remove loading of the PHP4 module
- dinamically get the version of the installed apache server (apache_ver)

* Wed Jun 15 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.4-2qilnx
- disable modules in php.ini by default; will be enabled by module packages installation scripts

* Tue Jun 14 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.4-1qilnx
- update to version 5.0.4 by autospec

* Fri Jun 10 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.11-2qilnx
- added pluggable configuration for Apache (/etc/httpd/httpd.d/php.conf)

* Mon Apr 18 2005 Davide Madrisan <davide.madrisan@qilinux.it> 4.3.11-1qilnx
- update to version 4.3.11 by autospec
- also fix security issues QSA-2005-048 (CAN-2004-1392, CAN-2005-[1042,1043])
- fixed package groups
- added PEAR packages omitted from the 4.3.11 tarball
- fixed package license

* Tue Feb 08 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.10-1qilnx
- update to version 4.3.10 by autospec

* Thu Dec 09 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.9-2qilnx
- fix requirement for apache_modphp: version = php_ver, not >=

* Thu Oct 28 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.9-1qilnx
- new version build
- removed libdb.so dependency

* Mon Aug 02 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.8-3qilnx
- really use external libgd (in 4.3.8-2 it was still using the builtin library)

* Wed Jul 28 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.8-2qilnx
- rebuild with new libgd version
- use external mysql and gd libraries (don't use PHP's builtin)

* Mon Jul 19 2004 Davide Madrisan <davide.madrisan@qilinux.it> 4.3.8-1qilnx
- new version rebuild
- fixes security issues: CAN-2004-0594, CAN-2004-0595

* Wed Apr 21 2004 Davide Madrisan <davide.madrisan@qilinux.it> 4.3.6-1qilnx
- new version rebuild

* Wed Apr 07 2004 Davide Madrisan <davide.madrisan@qilinux.it> 4.3.5-1qilnx
- new version rebuild

* Tue Feb 17 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.4-3qilnx
- added apache-mod_php requirement of php
- fixed AddType line configuration in httpd.conf  
- shared extensions enabled 

* Thu Dec 23 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.4-2qilnx
- added libmcrypt support

* Thu Dec 18 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.4-1qilnx
- new version rebuild
- added xslt support
- added imap-ssl support

* Tue Sep 09 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.3-1qilnx
- rebuilt with gettext support

* Tue Jun 17 2003 Silvan Calarco <silvan.calarco@qinet.it> 4.3.2-2qilnx
- added default php.ini

* Wed Jun 04 2003 Alessandro Ramazzina <alessandro.ramazzina@qinet.it> 4.3.2-1qilnx
- creation of php package
